actions: []
api_documentation: http://docs.ros.org/hydro/api/joy/html
authors: Morgan Quigley, Brian Gerkey, Kevin Watts, Blaise Gassend
brief: ''
bugtracker: https://github.com/ros-drivers/joystick_drivers/issues
depends:
- catkin
- roscpp
- sensor_msgs
- diagnostic_updater
- joystick
- rosbag
depends_on:
- turtlebot_teleop
- reemc_bringup
- kingfisher_teleop
- ackermann_hks
- maggie_teleop
- grizzly_teleop
- wheeled_robin_teleop
- tedusar_cartesian_arm_teleop
- demo_pioneer
- cob_bringup
- nao_teleop
- hector_quadrotor_teleop
- b21_teleop
- corobot_joystick
- rovio_ctrl
- pmb2_bringup
- jsk_baxter_startup
- pr2_bringup
- universal_teleop
- corobot_pantilt
- joystick_drivers
- jsk_pepper_startup
- husky_teleop
description: "ROS driver for a generic Linux joystick.\n    The joy package contains\
  \ joy_node, a node that interfaces a\n    generic Linux joystick to ROS. This node\
  \ publishes a &quot;Joy&quot;\n    message, which contains the current state of\
  \ each one of the\n    joystick's buttons and axes."
doc_job: doc-hydro-joystick_drivers
has_changelog_rst: false
license: BSD
maintainer_status: maintained
maintainers: Jonathan Bohren <jbo@jhu.edu>
metapackages:
- joystick_drivers
msgs: []
package_type: package
release_jobs:
- ros-hydro-joy_sourcedeb
- ros-hydro-joy_binarydeb_precise_amd64
- ros-hydro-joy_binarydeb_precise_i386
- ros-hydro-joy_binarydeb_quantal_amd64
- ros-hydro-joy_binarydeb_quantal_i386
- ros-hydro-joy_binarydeb_raring_amd64
- ros-hydro-joy_binarydeb_raring_i386
repo_name: joystick_drivers
repo_url: ''
srvs: []
timestamp: 1440682557.741726
url: http://www.ros.org/wiki/joy
vcs: git
vcs_uri: https://github.com/ros-drivers/joystick_drivers.git
vcs_version: hydro-devel
